org.restlet.engine.http.header

## Class DimensionReader

- java.lang.Object
- - org.restlet.engine.http.header.HeaderReader<Dimension>
  - - org.restlet.engine.http.header.DimensionReader

    public class DimensionReader
    extends HeaderReader<Dimension>

Dimension header reader.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`DimensionReader(java.lang.String header)` Constructor.

### Method Summary

Methods
`static void` `addValues(Parameter header, java.util.Collection<Dimension> collection)` Adds values to the given collection.
`Dimension` `readValue()` Read the next value.

### Methods inherited from class org.restlet.engine.http.header.HeaderReader

`addValues, canAdd, createParameter, createParameter, mark, peek, read, readComment, readDate, readDigits, readHeader, readHeader, readParameter, readParameterValue, readQuotedString, readRawText, readRawValue, readToken, readValues, reset, skipParameterSeparator, skipSpaces, skipValueSeparator, unread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DimensionReader

    public DimensionReader(java.lang.String header)

Constructor.

Parameters:
  `header` - The header to read.

### Method Detail

#### addValues

    public static void addValues(Parameter header,
                 java.util.Collection<Dimension> collection)

Adds values to the given collection.

Parameters:
  `header` - The header to read.
  `collection` - The collection to update.

#### readValue

    public Dimension readValue()
                        throws java.io.IOException

Description copied from class: `HeaderReader`
Read the next value. There can be multiple values for a single header.

Overrides:
  `readValue` in class `HeaderReader<Dimension>`
Returns:
  The next value.
Throws:
  `java.io.IOException`